import { OpenAPIV3 } from 'openapi-types';
import { Request } from 'express';
import { JSFOptions, JSF } from '../utils';
import { Operation } from './operation';
export declare class Operations {
    operations: Operation[] | null;
    file: string;
    locale: string;
    generator: JSF;
    constructor({ file, locale, options, }: {
        file: string;
        locale: string;
        options: Partial<JSFOptions>;
    });
    reset(): void;
    watch(): void;
    compile(): Promise<void>;
    compileFromPath(pathName: string, pathOperations: OpenAPIV3.PathItemObject, securitySchemes?: {
        [key: string]: OpenAPIV3.SecuritySchemeObject;
    }): Operation[];
    match(req: Request): Promise<Operation | null>;
}
export declare const createOperations: ({ file, locale, options, }: {
    file: string;
    locale: string;
    options: Partial<JSFOptions>;
}) => Operations;
